/*
 *  main.c
 *  F-Script Anywhere
 *
 *  Created by Robert Chin on 5/19/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#import <DSCL/PathManager.h>
#import <CoreFoundation/CoreFoundation.h>
#import <ApplicationServices/ApplicationServices.h>
#import <Foundation/Foundation.h>

int main(int argc, char **argv)
{
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
    PathManager *engine = [[PathManager alloc] initWithLocalNode];
    [engine backupStack];
    [engine cd:@"/Groups/procmod"];
    tDirStatus status = [engine appendToRecord:nil
					   key:@"GroupMembership"
					values:[NSArray arrayWithObject:[NSString stringWithUTF8String:argv[1]]]];
    [engine restoreStack];
    [engine release];
    printf("%d", status);
    [pool release];
    return 0;
}
